EDIT - feature request #8489

Further issues for DB preferences
08/26/2019 01:37 PM - Andreas Mdller

Status: Resolved Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.10

Severity: normal

Description

o => this is implemented analogue to the term selection pages (also for named area vocabularies for distributions)
¢ Distribution data-vocabulary selection:

- table-is-retyetupdated-alternew-status-selection
* ABCD:

o Map-UniHB———=>-sheuld-bea-dropdewn

o See also #8494

¢ Ranks, Nomenclatural Status (and probably other such lists):

Related issues:

Related to EDIT - bug #8385: Open issues in DB preferences Closed
Related to EDIT - bug #8389: Correct handling of default values with allowOve... Resolved
Related to EDIT - bug #8494: Better ABCD Preferences Page In Progress
Related to EDIT - bug #8382: Local Supplemental Data Source Preferences shoul... Closed
Copied to EDIT - task #8818: Remaining issues for DB preferences New

Associated revisions

Revision 1d3ab649 - 08/29/2019 02:12 PM - Katja Luther

ref #8489: local term list are set to db preference value if default is selected

Revision d84ac885 - 08/29/2019 02:28 PM - Katja Luther

ref #8489: fix set default for db term preferences

Revision 8a7e7d33 - 09/04/2019 09:40 AM - Katja Luther

fix preferences and term issues

Revision d5a2a496 - 09/04/2019 03:17 PM - Katja Luther

ref #8489: fix preference and term issues - continue

Revision d54dbb90 - 09/04/2019 03:19 PM - Katja Luther

ref #8489: fix preference and term issues - continue

Revision 14f76d1e - 09/04/2019 03:32 PM - Katja Luther

ref #8489: taxon node order preferences

Revision 43b350e8 - 09/04/2019 03:33 PM - Katja Luther

ref #8489: taxon node order preferences
https://dev.e-taxonomy.eu/redmine/issues/8494

Revision 41b6¢cbb7 - 09/04/2019 03:49 PM - Katja Luther

ref #8489: disable combo for local taxonnode sort preference if not allowed

Revision 079dd1a6 - 09/04/2019 03:50 PM - Katja Luther

ref #8489: disable combo for local taxonnode sort preference if not allowed

Revision e7cdc2fb - 09/13/2019 11:07 AM - Katja Luther

ref #8385: better handling of distr preferences and term related preferences

Revision c9ac7{0d - 09/13/2019 11:22 AM - Katja Luther

ref #8489: adapt commonname named area voc selection to other voc preferences

Revision 7b1740fe - 09/16/2019 09:14 AM - Katja Luther
ref #8489: PreferencePredicate update

Revision 6fd0ac3c - 09/16/2019 01:58 PM - Katja Luther

ref #8489: improve table on dist status preference page

Revision f8fa200d - 09/16/2019 02:35 PM - Katja Luther
ref #8489: code cleaning

Revision 87b9d856 - 09/17/2019 12:07 PM - Katja Luther

ref #8489: show local values in local distr status table

Revision c82a0bdd - 09/20/2019 10:21 AM - Katja Luther

ref #8489: some issues in DistributionStatusPreferences

Revision b9731166 - 09/20/2019 11:03 AM - Katja Luther

ref #8489: move taxonnode wizard pref to navigator page

History

#1 - 08/26/2019 01:37 PM - Andreas Miiller
- Related to bug #8385: Open issues in DB preferences added

#2 - 08/26/2019 01:46 PM - Andreas Miiller
- Related to bug #8389: Correct handling of default values with allowOverride=false added

#3 - 08/29/2019 12:28 PM - Andreas Miiller
- Related to bug #8494: Better ABCD Preferences Page added

#4 - 08/29/2019 12:29 PM - Andreas Miiller

- Description updated

#5 - 08/29/2019 12:56 PM - Andreas Miiller

- Description updated

#6 - 08/30/2019 10:37 AM - Katja Luther

- Description updated

#7 - 08/30/2019 11:33 AM - Katja Luther

- Description updated

#8 - 09/13/2019 11:25 AM - Katja Luther

- Description updated

#9 - 09/13/2019 11:25 AM - Katja Luther
- Description updated

#10 - 09/13/2019 11:46 AM - Katja Luther

- Description updated

#11 - 09/13/2019 11:47 AM - Katja Luther

- Description updated

#12 - 09/13/2019 12:30 PM - Katja Luther

- Description updated

#13 - 09/16/2019 01:59 PM - Katja Luther
- Description updated

- Status changed from New to In Progress

#14 - 09/16/2019 02:45 PM - Katja Luther

- Description updated

#15 - 09/17/2019 04:25 PM - Katja Luther

- Related to bug #8382: Local Supplemental Data Source Preferences should reflect the state of admin preferences added

#16 - 09/18/2019 05:00 PM - Katja Luther

- Target version changed from Release 5.10 to Release 5.11

move to 5.11 for a last review whether all (wanted) preferences are available as db preferences

#17 - 10/17/2019 06:32 PM - Andreas Kohlbecker
- File picture028-1.png added

| have some more probelms for which | did not find mentioned in here:

ED Preferences v~
ils Vi Status
Name Details View Click does does not work most of the time
Publish Flag List of preferences defining available status per area.
Search With the mostright button you can edit the selected area specific status preference.
Search Dialogs For defining new area specific status preference please use the butto low the tab
e Predicate Subject Values Wic allc Delete Status
Supplemental Data
= distribution.status.term  Default All st [ =
Sources -
Ul Status Selectiong

same functionality? Only left button works
Distribution Data

Distribution Editor
Named area vocabularies
Status

Taxon Navigator Restore Defaults Apply

Cancel OK

Further Problem:
e when | set the subject to for example "Germany" | find no means to reset it to "Default" except of using the delete Button

¢ The function of the Delete button seems a bit strange: The Predicate is only set to Deleted. A general user would expect the whole thing to be
vanished.
® Restore Default has no effect, what should happen when there are multiple properties?

¢ | found out that after using the Status Selection Button a new property is being created. Does this happen when the first entry is not the default
one?

¢ Showing the predicate string makes not much sense since this is always the same.

#18 - 10/23/2019 02:45 PM - Andreas Miiller

Andreas Kohlbecker wrote:

e when | set the subject to for example "Germany" | find no means to reset it to "Default” except of using the delete Button

deleting the preference equals setting it to default

¢ The function of the Delete button seems a bit strange: The Predicate is only set to Deleted. A general user would expect the whole thing to
be vanished.

¢ Restore Default has no effect, what should happen when there are multiple properties?

What do you mean by "properties"? Subjects? Preferences?
In general the semantics of "restore default" for a given page is that ALL data available on the page is set to default (which is similar to all relevant
preferences are deleted). But | have not checked if it is implemented such.

¢ | found out that after using the Status Selection Button a new property is being created. Does this happen when the first entry is not the
default one?

* Showing the predicate string makes not much sense since this is always the same.

true, at least if ONLY 1 predicate type is edited on the page, which is not always the case, but at least in the table it should always be the case.
Therefore a good label could replace the predicate table (anyway the current string should be replaced by a good label)

#19 - 11/05/2019 01:57 PM - Katja Luther

- Target version changed from Release 5.11 to Release 5.12

#20 - 01/16/2020 01:13 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#21 - 01/20/2020 02:52 PM - Andreas Miiller

- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

- Target version changed from Release 5.13 to Release 5.10

- % Done changed from 0 to 50

putting back to 5.10 for review, no changes since then. Follow up ticket for open issues: #8818.
During review put non-working/open issues to follow up ticket.

#22 - 01/20/2020 02:52 PM - Andreas Miiller
- Copied to task #8818: Remaining issues for DB preferences added

Files

picture028-1.png 85.2 KB 10/17/2019 Andreas Kohlbecker
